## org.exist.xmldb.test.concurrent
Class XMLGenerator

    java.lang.Object
      org.exist.xmldb.test.concurrent.XMLGenerator

public class XMLGenerator
extends java.lang.Object

Author:
  wolf

Constructor Summary
`XMLGenerator(int elementCnt, int attrCnt, int depth, java.lang.String[] words, boolean useNamespaces)`

Method Summary
`java.lang.String` `generateElement()`
`java.lang.String` `generateText(int len)`
`void` `generateXML(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLGenerator

    public XMLGenerator(int elementCnt,
                        int attrCnt,
                        int depth,
                        java.lang.String[] words,
                        boolean useNamespaces)

Method Detail

### generateXML

    public void generateXML(java.io.Writer writer)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateElement

    public java.lang.String generateElement()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateText

    public java.lang.String generateText(int len)

Copyright (C) Wolfgang Meier. All rights reserved.